# gitlab_resources

This cookbook currently provides a single resource with the intent to provide
more in the future.

## How to use

In your cookbook's `metadata.rb` add

```ruby
# metadata.rb
depends 'gitlab_resources'
```

Then you may use any of the resources with this cookbook. Look at the specific
resources for more detailed information on how to use them.

## Resources

### gitlab_application_settings

```ruby
gitlab_application_settings 'gitlab.example.com' do
  endpoint 'https://gitlab.example.com/api/v4'
  private_token 'yuY_vkuS3gFKpWhsJNuY'

  auto_devops_enabled false
  restricted_visibility_levels ['public']
  password_authentication_enabled_for_web false
  password_authentication_enabled_for_git false
  signup_enabled false
  user_show_add_ssh_key_message true
  default_artifacts_expire_in '7 days'
  default_branch_protection 2
  default_group_visibility 'private'
  default_project_visibility 'private'
  default_snippet_visibility 'private'
  first_day_of_week 1
  gravatar_enabled false
  html_emails_enabled true
  max_artifacts_size 350
end
```
